Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.txbridge.ba.datamgmt
Class ExecutionDataProviderImpl

    java.lang.Object
      org.jboss.txbridge.ba.datamgmt.DataManagerImpl
          org.jboss.txbridge.ba.datamgmt.ExecutionDataProviderImpl

All Implemented Interfaces:
  DataManager, ExecutionDataProvider

    public class ExecutionDataProviderImpl

extends DataManagerImpl
implements ExecutionDataProvider

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Field Summary
`private static org.apache.log4j.Logger` | `log`

Fields inherited from class org.jboss.txbridge.ba.datamgmt.DataManagerImpl
`participant, taskId`

Constructor Summary
`ExecutionDataProviderImpl(java.lang.String taskId, Participant participant)` Constructor

Method Summary
`java.lang.Object[]` | `getArguments()`
`java.lang.Object[]` | `getReturn()`
`void` | `putArguments(java.lang.Object[] arguments)`
`void` | `putReturn(java.lang.Object returnObject)`

Methods inherited from class org.jboss.txbridge.ba.datamgmt.DataManagerImpl
`get, put`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.txbridge.ba.datamgmt.DataManager
`get, put`

Field Detail

### log

    private static org.apache.log4j.Logger log

Constructor Detail

### ExecutionDataProviderImpl

    public ExecutionDataProviderImpl(java.lang.String taskId,
                                     Participant participant)

  Constructor

  Parameters:
    `taskId` - is the task identifier.
    `participant` - is the reference to the participant.

Method Detail

### putArguments

    public void putArguments(java.lang.Object[] arguments)

  Specified by:
    `putArguments` in interface `ExecutionDataProvider`
  Parameters:
    `arguments` - is the list of parameters.

### getArguments

    public java.lang.Object[] getArguments()

  Specified by:
    `getArguments` in interface `ExecutionDataProvider`
  Returns:
    the list of parameters.

### putReturn

    public void putReturn(java.lang.Object returnObject)

  Specified by:
    `putReturn` in interface `ExecutionDataProvider`
  Parameters:
    `returnObject` - the return object that should be remembered.

### getReturn

    public java.lang.Object[] getReturn()

  Specified by:
    `getReturn` in interface `ExecutionDataProvider`
  Returns:
    the return object associated with a given task.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD